"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ShRadio = exports.ShInput = exports.ShIcon = exports.ShTableColumn = exports.ShTable = exports.ShAdvancedInput = exports.ShButton = void 0;
const tslib_1 = require("tslib");
const button_1 = tslib_1.__importDefault(require("./button"));
exports.ShButton = button_1.default;
const advanced_input_1 = tslib_1.__importDefault(require("./advanced-input"));
exports.ShAdvancedInput = advanced_input_1.default;
const input_1 = tslib_1.__importDefault(require("./input"));
exports.ShInput = input_1.default;
const table_1 = require("./table");
Object.defineProperty(exports, "ShTable", { enumerable: true, get: function () { return table_1.ShTable; } });
Object.defineProperty(exports, "ShTableColumn", { enumerable: true, get: function () { return table_1.ShTableColumn; } });
const icon_1 = tslib_1.__importDefault(require("./icon"));
exports.ShIcon = icon_1.default;
const radio_1 = tslib_1.__importDefault(require("./radio"));
exports.ShRadio = radio_1.default;
const components = [button_1.default, advanced_input_1.default, table_1.ShTable, table_1.ShTableColumn, icon_1.default, input_1.default, radio_1.default];
const install = (app, option) => {
    components.map((component) => app.component(component.name, component));
};
exports.default = { install };
